extern double Alpha = 0.5;

double EMA;

double GetPrice( int Shift )
{
  return(Open[Shift]);
}

void init()
{
  EMA = GetPrice(Bars - 1);

  return;
}

double GetEMA()
{
  static int PrevTime = 0;

  if (PrevTime == Time[0])
    return(EMA);

  int i = iBarShift(Symbol(), Period(), PrevTime) - 1;

  PrevTime = Time[0];

  while (i >= 0)
  {
    EMA = EMA * Alpha + (1 - Alpha) * GetPrice(i);
    Print(i + ": " + TimeToStr(Time[i]));

    i--;
  }

  return(EMA);
}

void start()
{
  double Tmp = iCustom(Symbol(), Period() , "IND_Test", Alpha, 0, 0);

  Print("From Expert: " + DoubleToStr(GetEMA(), 8));
  Print("From Indicator: " + DoubleToStr(Tmp, 8));

  return;
}

